<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-vcs-perforce.qdoc -->
  <title>Using Perforce | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Perforce</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-vcs-mercurial.html" />
  <link rel="next" href="creator-vcs-subversion.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-vcs-mercurial.html">Using Mercurial</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-subversion.html">Using Subversion</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#configuring-perforce">Configuring Perforce</a></li>
<li class="level1"><a href="#editing-files">Editing Files</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Perforce</h1>
<span class="subtitle"></span>
<!-- $$$creator-vcs-perforce.html-description -->
<div class="descr"> <a name="details"></a>
<p>Perforce is a fast software configuration management system developed by Perforce Software.</p>
<p>Since Qt Creator 4.9, the Perforce plugin is disabled by default. To enable it, select <b>Help</b> &gt; <b>About Plugins</b> &gt; <b>Version Control</b> &gt; <b>Perforce</b>, and then restart Qt Creator.</p>
<a name="configuring-perforce"></a>
<h2 id="configuring-perforce">Configuring Perforce</h2>
<p>In the Perforce options, you can specify workspace details: <b>P4 user</b>, <b>P4 client</b>, and <b>P4 port</b>. To specify the details individually for several projects, use configuration files instead. Create a <code>p4config.txt</code> configuration file for each project in the top level project directory.</p>
<a name="editing-files"></a>
<h2 id="editing-files">Editing Files</h2>
<p>In addition to the standard version control system functions described in <a href="creator-version-control.html#using-common-functions">Using Common Functions</a>, you can select <b>Tools</b> &gt; <b>Perforce</b> &gt; <b>Edit File</b> to open a file for editing within the client workspace. By default, files are automatically opened for editing. To disable this feature, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>Perforce</b>, and then deselect the <b>Automatically open files when editing</b> check box.</p>
<p>To list files that are open for editing, select <b>Tools</b> &gt; <b>Perforce</b> &gt; <b>Opened</b>.</p>
<p>To group files for commit, select <b>Tools</b> &gt; <b>Perforce</b> &gt; <b>Pending Changes</b>.</p>
<p>To view information about changelists and the files in them, select <b>Tools</b> &gt; <b>Perforce</b> &gt; <b>Describe</b>.</p>
<p>By default, you are prompted to confirm that you want to submit changes. To suppress the prompt, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>Perforce</b>, and then deselect the <b>Prompt on submit</b> check box.</p>
</div>
<!-- @@@creator-vcs-perforce.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-vcs-mercurial.html">Using Mercurial</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-subversion.html">Using Subversion</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
